Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosTradingRepos::ServiceTypeRepository Interface Reference

`import "CosTradingRepos.idl";`

Collaboration diagram for CosTradingRepos::ServiceTypeRepository:

[legend]
List of all members.

## Public Types
typedef sequence< CosTrading::ServiceTypeName > | ServiceTypeNameSeq
typedef sequence< PropStruct > | PropStructSeq
typedef CosTrading::Istring | Identifier
enum | PropertyMode { PROP_NORMAL, PROP_READONLY, PROP_MANDATORY, PROP_MANDATORY_READONLY }
enum | ListOption { all, since }
## Public Methods
IncarnationNumber | add_type (in CosTrading::ServiceTypeName name, in Identifier if_name, in PropStructSeq props, in ServiceTypeNameSeq super_types) raises (CosTrading::IllegalServiceType, ServiceTypeExists, InterfaceTypeMismatch, CosTrading::IllegalPropertyName, CosTrading::DuplicatePropertyName, ValueTypeRedefinition, CosTrading::UnknownServiceType, DuplicateServiceTypeName)
void | remove_type (in CosTrading::ServiceTypeName name) raises (CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, HasSubTypes)
ServiceTypeNameSeq | list_types (in SpecifiedServiceTypes which_types)
TypeStruct | describe_type (in CosTrading::ServiceTypeName name) raises (CosTrading::IllegalServiceType, CosTrading::UnknownServiceType)
TypeStruct | fully_describe_type (in CosTrading::ServiceTypeName name) raises (CosTrading::IllegalServiceType, CosTrading::UnknownServiceType)
void | mask_type (in CosTrading::ServiceTypeName name) raises (CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, AlreadyMasked)
void | unmask_type (in CosTrading::ServiceTypeName name) raises (CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, NotMasked)
## Public Attributes
readonly attribute IncarnationNumber | incarnation

## Member Typedef Documentation

typedef CosTrading::Istring CosTradingRepos::ServiceTypeRepository::Identifier

typedef sequence<PropStruct> CosTradingRepos::ServiceTypeRepository::PropStructSeq

typedef sequence<CosTrading::ServiceTypeName> CosTradingRepos::ServiceTypeRepository::ServiceTypeNameSeq

## Member Enumeration Documentation

enum CosTradingRepos::ServiceTypeRepository::ListOption

  | Enumeration values:
  all |
  since |

enum CosTradingRepos::ServiceTypeRepository::PropertyMode

  | Enumeration values:
  PROP_NORMAL |
  PROP_READONLY |
  PROP_MANDATORY |
  PROP_MANDATORY_READONLY |

## Member Function Documentation

IncarnationNumber CosTradingRepos::ServiceTypeRepository::add_type | ( | in CosTrading::ServiceTypeName | name,
|  | in Identifier | if_name,
|  | in PropStructSeq | props,
|  | in ServiceTypeNameSeq | super_types
| ) | raises (CosTrading::IllegalServiceType, ServiceTypeExists, InterfaceTypeMismatch, CosTrading::IllegalPropertyName, CosTrading::DuplicatePropertyName, ValueTypeRedefinition, CosTrading::UnknownServiceType, DuplicateServiceTypeName)

TypeStruct CosTradingRepos::ServiceTypeRepository::describe_type | ( | in CosTrading::ServiceTypeName | name | ) | raises (CosTrading::IllegalServiceType, CosTrading::UnknownServiceType)

TypeStruct CosTradingRepos::ServiceTypeRepository::fully_describe_type | ( | in CosTrading::ServiceTypeName | name | ) | raises (CosTrading::IllegalServiceType, CosTrading::UnknownServiceType)

ServiceTypeNameSeq CosTradingRepos::ServiceTypeRepository::list_types | ( | in SpecifiedServiceTypes | which_types | ) |

void CosTradingRepos::ServiceTypeRepository::mask_type | ( | in CosTrading::ServiceTypeName | name | ) | raises (CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, AlreadyMasked)

void CosTradingRepos::ServiceTypeRepository::remove_type | ( | in CosTrading::ServiceTypeName | name | ) | raises (CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, HasSubTypes)

void CosTradingRepos::ServiceTypeRepository::unmask_type | ( | in CosTrading::ServiceTypeName | name | ) | raises (CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, NotMasked)

## Member Data Documentation

readonly attribute IncarnationNumber CosTradingRepos::ServiceTypeRepository::incarnation

The documentation for this interface was generated from the following file:

- CosTradingRepos.idl